<?php

session_start();    
require('../../conexion.php');

$usuario = $_SESSION['cveUsuario'];
$clasificacion = $_SESSION['nomUsuario'];
$opcion = $_POST['opcion'];
$i=0;
$condicion ="";
$condicion2 = "";
/* $result = query("SELECT pdn.id, pdn.id_nota_venta, pdn.id_producto, pdn.pdn_cantidad, 
                ifnull(pdn.pdn_comensal,'') pdn_comensal, pdn.pdn_tiempo, pdn.pdn_precio, pdn.pdn_estatus, 
                pdn.pdn_comentario, pd.pro_clave, pd.pro_nombre,
                pd.pro_clasificaciones, pd.pro_precio_venta, (pd.pro_precio_venta * pdn.pdn_cantidad) total,
                nv.ntv_no_mesa, pdn.pdn_tiempo, pd.pro_prioridad
                FROM productos_nota AS pdn
                INNER JOIN productos AS pd ON pd.id = pdn.id_producto 
                INNER JOIN notas_venta AS nv ON nv.id = pdn.id_nota_venta
                INNER JOIN usuarios AS us ON us.uss_nombre = pd.pro_clasificaciones
                WHERE nv.ntv_fecha_creacion = CURRENT_DATE() AND us.id = $usuario AND pdn.pdn_estatus NOT IN('terminado') ORDER BY pdn.id_nota_venta, pdn.pdn_tiempo,pd.pro_prioridad;");
 */
if ($opcion == 1) {
    $condicion = "WHERE pro_clasificaciones = '$clasificacion' AND pdn_estatus NOT IN('terminado','eliminado')";
}else{
    if ($clasificacion == 'ALMUERZO' || $clasificacion == 'DESAYUNO') {
        
        $condicion = "WHERE pro_vista = '$usuario' AND pdn_estatus NOT IN('terminado','eliminado')";
    }else{
        $condicion = "WHERE pro_clasificaciones = '$clasificacion' AND pro_vista = 0 AND pdn_estatus NOT IN('terminado','eliminado')";
    }
}

if ($clasificacion != 'BAR' && $clasificacion != 'PL FUERTE') {
   // $condicion2 = 'ORDER BY id_nota_venta, pdn_tiempo, pro_prioridad';
   $condicion2 = 'ORDER BY ntv_hora_ini DESC, id_nota_venta, pdn_tiempo, hora_edicion';
}else{
    $condicion2 = 'ORDER BY creacion DESC';
}

$result = query("SELECT * FROM vw_productos_comanda $condicion $condicion2");
while($row = mysqli_fetch_assoc($result)){
    $rowdata[$i] = $row;
    $i++;
}

if ($i>0){
    $res =  json_encode($rowdata,JSON_UNESCAPED_UNICODE);
    /* $result = query("UPDATE productos_nota SET vista_cocinero = 1 
                    WHERE id IN (SELECT pdn_id FROM vw_productos_comanda 
                    $condicion AND vista_cocinero = 0)"); */
} else {
    $res =  '[{"pdn_id":"0"}]';	
}
echo $res;
?>
